<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateTipoTipologia extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('tipo_tipologia')
			->addColumn('tipo', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('tipologia', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('cantidad', 'integer', ['length' => 10, 'null' => false])
			->addColumn('elemento', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addForeignKey('elemento', 'tipo_elemento', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('tipologia', 'tipologia', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('tipo', 'proyecto_tipo_unidad', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
